LINUX.ORG.RU

Chromium не собирается

 , ,


0

1

Доброго всем дня суток. Не так давно, при сборке нового пакета, вылезла новость, что пакет с проприетарщиной nvidia,который был у меня установлен на тот момент, замаскирован ввиду их косячности. Ок. Пакет удаляется, устанавливается стабильный(304.117). Настройки(nvidia-settings) при этом остаются той же версии, что и косячный пакет был(331.20). Казалось бы, при чём тут хромиум? Хромиум удалил(сам не знаю зачем, не спрашивайте, итак знаю, что ССЗБ), при попытке его установить, он выдаёт следующее:

anton@localhost ~ $ sudo emerge -av chromium

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] dev-python/ply-3.4-r1 [3.4] USE="-examples" PYTHON_TARGETS="python2_7%* python3_3%* (-pypy2_0) -python2_6% -python3_2%" 0 kB
[ebuild     U  ] dev-libs/protobuf-2.5.0:0/8 [2.4.1:0/0] USE="python* -emacs -examples -java -source -static-libs -vim-syntax" PYTHON_TARGETS="python2_7%* -python2_6%" 1,824 kB
[ebuild  N     ] www-client/chromium-32.0.1700.77  USE="bindist cups tcmalloc -custom-cflags -gnome -gnome-keyring -kerberos (-neon) -pulseaudio (-selinux) {-test}" LINGUAS="ru -am -ar -bg -bn -ca -cs -da -de -el -en_GB -es -es_LA -et -fa -fi -fil -fr -gu -he -hi -hr -hu -id -it -ja -kn -ko -lt -lv -ml -mr -ms -nb -nl -pl -pt_BR -pt_PT -ro -sk -sl -sr -sv -sw -ta -te -th -tr -uk -vi -zh_CN -zh_TW" 173,028 kB
[blocks B      ] <x11-drivers/nvidia-drivers-331.20 ("<x11-drivers/nvidia-drivers-331.20" is blocking www-client/chromium-32.0.1700.77)

Total: 3 packages (2 upgrades, 1 new), Size of downloads: 174,851 kB
Conflict: 1 block (1 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (x11-drivers/nvidia-drivers-304.117::gentoo, installed) pulled in by
    x11-drivers/nvidia-drivers required by @selected

  (www-client/chromium-32.0.1700.77::gentoo, ebuild scheduled for merge) pulled in by
    chromium


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked


как я понял, чтобы установить хромиум 32, необходимо размаскировать последние дрова от нвидии, которые мне предложили замаскировать, так? А без этого никак не обойтись?

Ну и система: gentoo x64. KDE 4.11, ШГ(кстати, был бы рад годному манулу по настройке шревтов, ибо мылит, имхо.), если это важно.

з.ы. и напоследок мне очень интересно почему дрова от нвидия блокируют установку хромиума?


Вот тут пишут почему.
Либо обновляй nvidia-drivers до >=331.20, либо собирай chromium с USE=-tcmalloc, либо собирай firefox (лучший вариант).

Lavos ★★★★★ ()
[root] /home/alexey
# grep ACCEPT_KEYWORDS /etc/portage/make.conf
ACCEPT_KEYWORDS="~amd64"

[root] /home/alexey
# eix -Ic chromium 
[I] www-client/chromium (33.0.1750.46@24.01.2014): Open-source version of Google Chrome web browser

[root] /home/alexey
# eix -Ic nvidia
[I] x11-drivers/nvidia-drivers (331.38@20.01.2014): NVIDIA X11 driver and GLX libraries

штабильная ветка такая штабильная…

batekman ★★★ ()
Ответ на: комментарий от megabaks

Однако. сделал emerge --sync и всё обновилось. Что характерно. Вчера ещё делал, нифига не было. Сейчас всё собирается, спасибо всем! з.ы. а как побороть ШГ, не подскажите?

Flexo ()
Ответ на: комментарий от megabaks

Согласен, это всё ИМХО, но я о базовых принципах. Или как можно побороть мыло. Вот у вас как настроено, например? Если не сложно, конечно)

Flexo ()
Ответ на: комментарий от Flexo

нет - терпеть не могу радугу.
да, это уже совсем другая история и она выходит за рамки сего треда - прекращаем флудить.

megabaks ★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.